# Uses of Interface
org.opensaml.saml.saml2.core.ManageNameIDRequest

Packages that use ManageNameIDRequest
Package
Description
org.opensaml.saml.saml2.core.impl
Implementations of SAML 2.0 core specification types and elements.
org.opensaml.saml.saml2.profile.impl
Implementations of SAML 2.0 profile behavior.

## Uses of ManageNameIDRequest in org.opensaml.saml.saml2.core.impl

Classes in org.opensaml.saml.saml2.core.impl that implement ManageNameIDRequest
Modifier and Type
Class
Description
`class`
`ManageNameIDRequestImpl`
A concrete implementation of `ManageNameIDRequest`.
Methods in org.opensaml.saml.saml2.core.impl that return ManageNameIDRequest
Modifier and Type
Method
Description
`ManageNameIDRequest`
ManageNameIDRequestBuilder.`buildObject()`
Builds a SAMLObject using the default name and namespace information provided SAML specifications.
`ManageNameIDRequest`
ManageNameIDRequestBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.

## Uses of ManageNameIDRequest in org.opensaml.saml.saml2.profile.impl

Methods in org.opensaml.saml.saml2.profile.impl with parameters of type ManageNameIDRequest
Modifier and Type
Method
Description
`private void`
DecryptNameIDs.`processManageNameIDRequest(ProfileRequestContext profileRequestContext, ManageNameIDRequest request)`
Decrypt any `EncryptedID` found in a ManageNameIDRequest and replace it with the result.
`private void`
EncryptNameIDs.`processManageNameIDRequest(ManageNameIDRequest request)`
Encrypt a `NameID` found in a ManageNameIDRequest and replace it with the result.